[Overview][Resource strings][Classes][Procedures and functions][Index] | Reference for unit 'DBLogDlg' (#lcl)

# LoginDialogEx

Creates, configures, and displays a TLoginDialog dialog form.

## Declaration

Source position: dblogdlg.pas line 27

`function LoginDialogEx(`
`const ADatabaseName: string;`
`var AUserName: string;`
`var APassword: string;`
`UserNameReadOnly: Boolean = False`
`):Boolean;`

## Arguments

`ADatabaseName` |  | Database name displayed on the form.
`AUserName` |  | User name edited on the form.
`APassword` |  | Password edited on the form.
`UserNameReadOnly` |  | True if the User Name cannot be changed in the form.

## Function result

True when the ModalResult for the form is mrOk.

## Description

LoginDialogEx is a Boolean function used to create, configure, and display a TLoginDialog dialog form. The return value contains True when the ModalResult for the form display contains the value mrOk.

LoginDialogEx creates an instance of TLoginDialog, and sets the values in the controls used on the form. The arguments in ADatabaseName, AUserName, and APassword are assigned to the corresponding controls. UserNameReadOnly indicates whether the edit control for UserName can be modified; the default value is False.

LoginDialogEx calls ShowModal to display the form as a modal dialog, and captures the ModalResult. When ModalResult contains mrOk, the return value is set to True.

LoginDialogEx frees the form instance prior to exiting from the routine.